Enable assistant inbound webhook
curl --request POST \
--url https://app.famulor.de/api/user/assistants/enable-inbound-webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": 123,
"webhook_url": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({assistant_id: 123, webhook_url: '<string>'})
};
fetch('https://app.famulor.de/api/user/assistants/enable-inbound-webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/assistants/enable-inbound-webhook"
payload = {
"assistant_id": 123,
"webhook_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/assistants/enable-inbound-webhook",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'assistant_id' => 123,
'webhook_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/assistants/enable-inbound-webhook"
payload := strings.NewReader("{\n \"assistant_id\": 123,\n \"webhook_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Webhook enabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
],
"webhook_url": [
"The webhook url field is required."
]
}
}
Enable assistant inbound webhook
Activate inbound webhook notifications for an assistant
POST
/
user
/
assistants
/
enable-inbound-webhook
Enable assistant inbound webhook
real-time webhook notifications for inbound calls. You’ll receive notifications when inbound calls complete with all call data.
Request Body
integer
required
The identifier of the assistant to enable webhooks for
string
required
The endpoint URL where notifications will be sent
Response
string
Success confirmation message
array
Empty array (reserved for future functionality)
Error Responses
{
"message": "Webhook enabled successfully",
"data": []
}
{
"message": "Assistant not found"
}
{
"message": "The given data was invalid.",
"errors": {
"assistant_id": [
"The assistant id field is required."
],
"webhook_url": [
"The webhook url field is required."
]
}
}
Related pages: Introduction and Authentication Guide, and API Integration Examples.
Was this page helpful?
⌘I

